Topic: Problems with new hardware version 1.7 or TP-Link WDR4300

According to a user on an Israeli forum I'm currently corresponding with, apparently there's a new hardware version of TP-Link WDR4300 (v1.7) and an attempt to install a trunk version of OpenWRT on it (which was already reported to work on v1.6) resulted in a total brick.
As I don't have the actual device I cannot investigate further, however I would recommend anyone encountering version 1.7 (or later) of this router to avoid flashing for the time being unless a serial console is available.

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

thanks for the warning!

anyway try this to recover..

https://forum.openwrt.org/viewtopic.php?id=46371

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

Hi.  Do you have any updates on the status of OpenWrt on v1.7 WDR4300?

4 (edited by samarkin 2014-01-31 06:19:28)

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

Guys from DD-WRT forum did not have any problems with v1.7. Have anyone tried OpenWRT?

NiQ, any updates? Did he used proper image? https://dev.openwrt.org/ticket/14880

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

I was able to boot trunk as of yesterday. See here.

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

Thank you slarew, I installed latest trunk r39424, works like a charm!

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

just bought, but for me these 4300 v1.7 are working with AA (via Freifunk Imagebuilder Meshkit)

DISTRIB_DESCRIPTION="OpenWrt Attitude Adjustment Meshkit 12.09.1  (MeshKit/r38455/2013-11-01)"

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

I just got a bunch of new v1.7.   AA (r36088) downloaded from http://downloads.openwrt.org/attitude_adjustment/12.09/ar71xx/generic/  works fine on them.

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

samarkin wrote:

Thank you slarew, I installed latest trunk r39424, works like a charm!

Where does one find the image for 39424?  r36088 works but isn't entirely stable.

10 (edited by Patschi 2014-08-05 22:51:42)

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

I just compiled my own OpenWRT for my WDR4300 I got about two weeks ago and I didn't experienced any troubles yet. The WiFi signal seems to be stable - my Windows notebook have a connection since about 4 or 5 days long without any connection losses (at least I didn't noticed any).

My build is based on Attitude Adjustment 12.09 Revision 41803 (SVN r41803) and has already the following packages built-in: luci, luci-app-qos, luci-theme-bootstrap and the english and german language.

For all interested people, who are interested, I uploaded the build on my site:
http://openwrt.pkern.at/openwrt-ar71xx-generic-tl-wdr4300-v1-squashfs-factory.bin
(MD5 hash: db4112d769666293de9f0c15bc17bbb3 to check file integrity)

http://openwrt.pkern.at/openwrt-ar71xx-generic-tl-wdr4300-v1-squashfs-factory.png

More information of the build available on:
http://openwrt.pkern.at/openwrt-ar71xx-generic-tl-wdr4300-v1-squashfs-factory.txt

Maybe it may help some one. I don't guarantee for anything nor am I responsible for any failure or any other issues. And be aware: It's a development build - it isn't a stable one. I just can say, that it's working for nearly 10 days without any issues. Also other forum users reported that the later dev builds are doing a great job: https://forum.openwrt.org/viewtopic.php?pid=240276#p240276

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

I've successfully installed Barrier Breaker RC2 on a TP-Link WDR4300

http://downloads.openwrt.org/barrier_br … actory.bin

Additionally I've installed luci-ssl, luci-i18n-german, luci-app-qos, luci-vnstat. So far everything seems to work. Wifi longrun will be tested at his location.

Greets,
Tilo

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

thanks tilo, I saw your post, ordered a new tl wdr4300 from amazon, opened it up...saw version 1.7 on the label.  downloaded barrier breaker rc3 from trunk.  went to the update firmware page in the tl admin.  uploaded the bin file.  the router rebooted, and voila, i'm running openwrt.  telnet in, change the password, ssh in, install luci.  fan-freakin-tastic! 

thanks to everyone who put in effort to make this work!  I love when things work as advertised!  :)

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

I installed the 12.09 (Attitude adjustment) on a TL-WDR4300 V1.7 and everything looks fine except of that, that the router hangs after the "reboot" command and a power cycle is required.

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

FWIW, I have a 1.7 and the reboot feature works perfectly with BB-rc3. In fact overall rc3 has been quite stable on this device. I recommend that you give it a go, and report any problems you see ASAP as they seem to be closing in on the new release

hope this helps,

Doug

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

I strongly recommend all of you upgrade to barrier breaker. 14.07-rc3 is available and is very stable. RC4 followed by the final will be out soonish as well.

WD MyNet N750 | D-Link DIR-835 | TP-Link TL-WDR3600

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

I have the same problem as @michaeluray with a TL-WDR3600 V1.5. The command /sbin/reboot causes the router to hang. Power cycling gets it back to life.

This behaviour has been observed with AA, BB_rc2 and BB_rc3 running on tens of devices. Some of them freeze on every reboot, while others survive several reboots before they freeze and require power cycling.

TP-Link's own firmware does not exhibit this behaviour; it reboots nicely all the time.

I cannot be certain about this, but it seems earlier devices with hw-version 1.5 were OK. We stubled on the problem in July, the devices were sourced in June.

There is a stack of these devices in my office. I'll be happy to send one to somebody who can help in tracking down the problem.

17 (edited by nebbia88 2014-09-04 19:32:55)

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

https://forum.openwrt.org/viewtopic.php?id=52031

guess it's better if you keep posting there.

sorry if i did not answer the last post, you should open up a device and connect a ttl serial interface:

http://wiki.openwrt.org/doc/hardware/port.serial#usb.to.rs232.ttl.converter.module

http://wiki.openwrt.org/toh/tp-link/tl-wdr4300?s=serial#serial.console

18

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

This is alarming, since WDR3600/4300 are among the most popular router models for OpenWrt.

Other than the failure to reboot, have you noticed any other problems with the normal day to day operation of the latest 3600/4300 hardware revision ?

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

drawz wrote:

I strongly recommend all of you upgrade to barrier breaker. 14.07-rc3 is available and is very stable. RC4 followed by the final will be out soonish as well.

Do you mean one of the two following files, right? Sorry to ask, but I'm newbie on OpenWrt. Just to be shure.

http://downloads.openwrt.org/barrier_br … actory.bin

OR

http://downloads.openwrt.org/barrier_br … pgrade.bin

Thank you.

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

alfcruz wrote:
drawz wrote:

I strongly recommend all of you upgrade to barrier breaker. 14.07-rc3 is available and is very stable. RC4 followed by the final will be out soonish as well.

Do you mean one of the two following files, right? Sorry to ask, but I'm newbie on OpenWrt. Just to be shure.

http://downloads.openwrt.org/barrier_br … actory.bin

OR

http://downloads.openwrt.org/barrier_br … pgrade.bin

Thank you.

Yes those are the right files. You use the "factory" file for flashing from the stock/factory firmware and the "sysupgrade" file for flashing from an already running OpenWrt version (e.g. upgrading rc2->rc3).

WD MyNet N750 | D-Link DIR-835 | TP-Link TL-WDR3600

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

Thank you. I intend to play a little with the factory firmware to evaluate router's performance and then install OpenWrt.

22 (edited by michaeluray 2014-09-11 16:43:43)

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

DougBarton wrote:

FWIW, I have a 1.7 and the reboot feature works perfectly with BB-rc3. In fact overall rc3 has been quite stable on this device. I recommend that you give it a go, and report any problems you see ASAP as they seem to be closing in on the new release

drawz wrote:

I strongly recommend all of you upgrade to barrier breaker. 14.07-rc3 is available and is very stable. RC4 followed by the final will be out soonish as well.

Unfortunately occurs the same problem that the router hangs sometimes with BB-rc3.
In the normal operation everything looks fine so far.

I also followed up in the topic with the reset problem of the TL-WDR3600.
https://forum.openwrt.org/viewtopic.php?pid=246752#p246752
There tested a guy a router reboot with a cron job over 24 hours and just 2 of 6 devices (TL-WDR3600) where alive after that time.

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

michaeluray wrote:

Unfortunately occurs the same problem with BB-rc3.

I also followed up in the topic with the reset problem of the TL-WDR3600.
https://forum.openwrt.org/viewtopic.php?pid=246752#p246752

I purchased WDR4300 last week, it is 1.7 version. I upgraded official firmware and then put BB-r3 there, no issue at all.

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

michaeluray wrote:

Unfortunately occurs the same problem that the router hangs sometimes with BB-rc3.

What software are you adding to the default set? It may be a particular package that you're using that is causing the hang.

25 (edited by michaeluray 2014-09-11 17:32:40)

Re: Problems with new hardware version 1.7 or TP-Link WDR4300

These are all the packages which are installed on my router at the moment:

base-files 155-r42056 
busybox 1.22.1-2 
chat 2.4.6-1 
comgt 0.32-22 
ddns-scripts 1.0.0-22 
dnsmasq 2.71-3 
dropbear 2014.63-1 
e169-stats 0.6-2 
etherwake 1.09-3 
firewall 2014-07-19 
fstools 2014-06-22-e0430f5c62f367e5a8e02755412977b02c3fc45e 
hostapd-common 2014-06-03-1 
huaweiaktbbo 1 
ip6tables 1.4.21-1 
iptables 1.4.21-1 
iw 3.15-1 
jshn 2014-07-16-bd388d2b6c2c151bf513c1e449417d18ce02d10b 
jsonfilter 2014-06-19-cdc760c58077f44fc40adbbe41e1556a67c1b9a9 
kernel 3.10.49-1-94831e5bcf361d1c03e87a15e152b0e8 
kmod-ath 3.10.49+2014-05-22-1 
kmod-ath9k 3.10.49+2014-05-22-1 
kmod-ath9k-common 3.10.49+2014-05-22-1 
kmod-cfg80211 3.10.49+2014-05-22-1 
kmod-crypto-aes 3.10.49-1 
kmod-crypto-arc4 3.10.49-1 
kmod-crypto-core 3.10.49-1 
kmod-gpio-button-hotplug 3.10.49-1 
kmod-ip6tables 3.10.49-1 
kmod-ipt-conntrack 3.10.49-1 
kmod-ipt-core 3.10.49-1 
kmod-ipt-nat 3.10.49-1 
kmod-ipt-nathelper 3.10.49-1 
kmod-ipv6 3.10.49-1 
kmod-ledtrig-usbdev 3.10.49-1 
kmod-lib-crc-ccitt 3.10.49-1 
kmod-mac80211 3.10.49+2014-05-22-1 
kmod-nls-base 3.10.49-1 
kmod-ppp 3.10.49-1 
kmod-pppoe 3.10.49-1 
kmod-pppox 3.10.49-1 
kmod-slhc 3.10.49-1 
kmod-tun 3.10.49-1 
kmod-usb-core 3.10.49-1 
kmod-usb-serial 3.10.49-1 
kmod-usb-serial-option 3.10.49-1 
kmod-usb-serial-wwan 3.10.49-1 
kmod-usb2 3.10.49-1 
libblobmsg-json 2014-07-16-bd388d2b6c2c151bf513c1e449417d18ce02d10b 
libc 0.9.33.2-1 
libgcc 4.8-linaro-1 
libip4tc 1.4.21-1 
libip6tc 1.4.21-1 
libiwinfo 50 
libiwinfo-lua 50 
libjson-c 0.11-2 
libjson-script 2014-07-16-bd388d2b6c2c151bf513c1e449417d18ce02d10b 
liblua 5.1.5-1 
liblzo 2.08-1 
libncurses 5.9-1 
libnl-tiny 0.1-3 
libopenssl 1.0.1i-1 
libpolarssl 1.3.7-1 
libpthread 0.9.33.2-1 
librt 0.9.33.2-1 
libubox 2014-07-16-bd388d2b6c2c151bf513c1e449417d18ce02d10b 
libubus 2014-07-03-f688c7ad0b2435a89bfd13f5496cabf596b54c8f 
libubus-lua 2014-07-03-f688c7ad0b2435a89bfd13f5496cabf596b54c8f 
libuci 2014-04-11.1-1 
libuci-lua 2014-04-11.1-1 
libusb-1.0 1.0.9-1 
libusb-compat 0.1.4-1 
libustream-polarssl 2014-03-25-fc0b5ec804ee43c532978dd04ab0509c34baefb0 
libxtables 1.4.21-1 
lua 5.1.5-1 
luci svn-r10471-1 
luci-app-commands svn-r10471-1 
luci-app-ddns svn-r10471-1 
luci-app-firewall svn-r10467-1 
luci-app-wol svn-r10471-1 
luci-base svn-r10467-1 
luci-i18n-german svn-r10471-1 
luci-lib-nixio svn-r10467-1 
luci-mod-admin-full svn-r10471-1 
luci-proto-3g svn-r10471-1 
luci-proto-ppp svn-r10471-1 
luci-ssl svn-r10471-1 
luci-theme-bootstrap svn-r10467-1 
luci-theme-openwrt svn-r10471-1 
mtd 20 
netifd 2014-08-07-99cfef35370b274352934c2f85a9de83ac537036 
ntpclient 2007_365-4 
odhcp6c 2014-07-21-67b311ab81736b35858664219d345844ab08fcc7 
odhcpd 2014-08-07.1-98b41e5b07b28b438fb0be45ba294a932f4c849b 
openvpn-openssl 2.3.4-1 
opkg 9c97d5ecd795709c8584e972bfdf3aee3a5b846d-7 
ppp 2.4.6-1 
ppp-mod-pppoe 2.4.6-1 
procd 2014-07-30-35e01a9601292b2f609e65c2ddb3990cba8f378e 
px5g 1 
swconfig 10 
terminfo 5.9-1 
uboot-envtools 2014.04-4 
ubox 2014-05-30-c3d4118eee505f41c4d20a87f326479530837569 
ubus 2014-07-03-f688c7ad0b2435a89bfd13f5496cabf596b54c8f 
ubusd 2014-07-03-f688c7ad0b2435a89bfd13f5496cabf596b54c8f 
uci 2014-04-11.1-1 
uhttpd 2014-06-11-dabd7dea6445aaa0e5b8d9add1872fa7393b3a85 
uhttpd-mod-ubus 2014-06-11-dabd7dea6445aaa0e5b8d9add1872fa7393b3a85 
usb-modeswitch 2014-07-18-01ecc3b9764d1dd89cf36ede0a2d98f9adb0cd33 
usbutils 007-1 
wpad-mini 2014-06-03-1 
zlib 1.2.8-1 

When the problem occurred was no additional hardware connected to the router.
It was just connected to the power and to the network on WAN and LAN side.

Before the hardware version 1.7 showed up I never had troubles with the reboot.